#
#  CAENNDT template
#
record( stringin, "$(DEVNAME):BdName")
{
	field( DESC, "Module name")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
}

record( ai, "$(DEVNAME):BdNCh")
{
	field( DESC, "Nr of channels present")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
}

record( ai, "$(DEVNAME):BdFRel")
{
	field( DESC, "Module Firmware Release")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
}

record( ai, "$(DEVNAME):BdSNum")
{
	field( DESC, "Module Serial Number")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
}

record( bi, "$(DEVNAME):BdIlk")
{
	field( DESC, "Module Interlock status")
	field( DTYP, "CAEN NDT Parameter")
	field( ZNAM, "NO")
	field( ONAM, "YES")
	field( PINI, "YES")
	field( SCAN, ".5 second")
}

record( bo, "$(DEVNAME):BdIlkM")
{
	field( DESC, "Module Interlock mode")
	field( DTYP, "CAEN NDT Parameter")
	field( ZNAM, "CLOSED")
	field( ONAM, "OPEN")
	field( OUT,  "$(DEVNAME):BdIlkM_write PP")
}
record( bo, "$(DEVNAME):BdIlkM_write")
{
     field( SDIS, "$(DEVNAME):BdIlkM_Sync.PACT")
     field( DISV, "1")
	 field( DTYP, "CAEN NDT Parameter")
     field( OUT,  "@$(DEVNAME):BDILKM")
}
record( bi, "$(DEVNAME):BdIlkM_RBV")
{
	field( DTYP, "CAEN NDT Parameter")
	field( INP,  "@$(DEVNAME):BDILKM")
	field( ZNAM, "CLOSED")
	field( ONAM, "OPEN")
	field( SCAN, ".5 second")
	field( FLNK, "$(DEVNAME):BdIlkM_Sync")
}
record( bo, "$(DEVNAME):BdIlkM_Sync")
{
	field( DOL,  "$(DEVNAME):BdIlkM_RBV NPP")
	field( OMSL, "closed_loop")
	field( OUT,  "$(DEVNAME):BdIlkM PP")
}

record( bi, "$(DEVNAME):BdCtr")
{
	field( DESC, "Module Control mode")
	field( DTYP, "CAEN NDT Parameter")
	field( ZNAM, "REMOTE")
	field( ONAM, "LOCAL")
	field( PINI, "YES")
	field( SCAN, ".5 second")
}

record( bi, "$(DEVNAME):BdTerm")
{
	field( DESC, "Local Bus Termination status")
	field( DTYP, "CAEN NDT Parameter")
	field( ZNAM, "OFF")
	field( ONAM, "ON")
	field( PINI, "YES")
	field( SCAN, ".5 second")
}

record( mbbiDirect, "$(DEVNAME):BdAlarm")
{
	field( DESC, "Module Alarm status")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
	field( SCAN, ".5 second")
}

record( bo, "$(DEVNAME):BdClr")
{
	field( DESC, "Clear Alarm signal")
	field( DTYP, "CAEN NDT Parameter")
}
